### Method

# EDataServer GDataQuery to_string

since: 3.46

#### Declaration [src]

    gchar*
    e_gdata_query_to_string (
      EGDataQuery* self
    )

#### Description [src]

Converts the `self` into a string, which can be used as a URI query. The returned string should be freed with g_free(), when no longer needed.

Available since: 3.46

#### Return value

Type: `gchar*`

The `self` converted into a string, or `NULL`, when the `self` doesn’t have set any parameter.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.